<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetGroupResult StructType
 * @subpackage Structs
 */
class GetGroupResult extends ExecutionResult
{
    /**
     * The Groups
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfGroup
     */
    public $Groups;
    /**
     * Constructor method for GetGroupResult
     * @uses GetGroupResult::setGroups()
     * @param \ArrayType\ArrayOfGroup $groups
     */
    public function __construct(\ArrayType\ArrayOfGroup $groups = null)
    {
        $this
            ->setGroups($groups);
    }
    /**
     * Get Groups value
     * @return \ArrayType\ArrayOfGroup|null
     */
    public function getGroups()
    {
        return $this->Groups;
    }
    /**
     * Set Groups value
     * @param \ArrayType\ArrayOfGroup $groups
     * @return \StructType\GetGroupResult
     */
    public function setGroups(\ArrayType\ArrayOfGroup $groups = null)
    {
        $this->Groups = $groups;
        return $this;
    }
}
